org.springframework.data.domain

## Interface Persistable<ID>

Type Parameters:
  `ID` - the type of the identifier

All Known Subinterfaces:
  Auditable<U,ID,T>

    public interface Persistable<ID>

Simple interface for entities.

Author:
  Oliver Gierke, Christoph Strobl

### Method Summary

All Methods Instance Methods Abstract Methods
`ID` `getId()` Returns the id of the entity.
`boolean` `isNew()` Returns if the `Persistable` is new or was persisted already.

### Method Detail

#### getId

    @Nullable
    ID getId()

Returns the id of the entity.

Returns:
  the id. Can be null.

#### isNew

    boolean isNew()

Returns if the `Persistable` is new or was persisted already.

Returns:
  if true the object is new.